Package ru.bitel.bgbilling.kernel.contract.api.common.bean

# Class ContractTariffCounter

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.common.model.IdTitle
ru.bitel.bgbilling.kernel.contract.api.common.bean.ContractTariffCounter

All Implemented Interfaces:
  `Serializable`, `GuiTitlable`, `Idable`, `ListItem`

public class ContractTariffCounter extends IdTitle

See Also:
  - Serialized Form

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `ContractTariffCounter.Builder`

  ## Nested classes/interfaces inherited from class ru.bitel.common.model.IdTitle

  `IdTitle.IdTitleBuilder`

- ## Field Summary

  ### Fields inherited from class ru.bitel.common.model.IdTitle

  `NO_SELECT, title`

  ### Fields inherited from class ru.bitel.common.model.Id

  `id`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ContractTariffCounter()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static ContractTariffCounter.Builder`
  `builder()`
  `TariffCounterType`
  `getCounterType()`
  `int`
  `getEntityId()`
  `int`
  `getModuleId()`
  `long`
  `getTariffNodeKey()`
  `boolean`
  `isRedefined()`
  `void`
  `setCounterType(TariffCounterType counterType)`
  `void`
  `setEntityId(int entityId)`
  `void`
  `setModuleId(int moduleId)`
  `void`
  `setRedefined(boolean redefined)`
  `void`
  `setTariffNodeKey(long tariffNodeKey)`
  `String`
  `toString()`

  ### Methods inherited from class ru.bitel.common.model.IdTitle

  `copyTo, getGuiTitle, getTitle, setId, setTitle, to, toIdTitle`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface ru.bitel.common.model.ListItem

  `getId`

- ## Constructor Details

  - ### ContractTariffCounter

    public ContractTariffCounter()

- ## Method Details

  - ### getTariffNodeKey

    public long getTariffNodeKey()

  - ### getCounterType

    public TariffCounterType getCounterType()

  - ### getEntityId

    public int getEntityId()

  - ### getModuleId

    public int getModuleId()

  - ### isRedefined

    public boolean isRedefined()

  - ### setTariffNodeKey

    public void setTariffNodeKey(long tariffNodeKey)

  - ### setCounterType

    public void setCounterType(TariffCounterType counterType)

  - ### setModuleId

    public void setModuleId(int moduleId)

  - ### setEntityId

    public void setEntityId(int entityId)

  - ### setRedefined

    public void setRedefined(boolean redefined)

  - ### builder

    public static ContractTariffCounter.Builder builder()

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `IdTitle`